View Issue Details

IDProjectCategoryView StatusLast Update
0004824Talerbank (demonstrator)public2017-06-06 14:18
ReporterFlorian DoldAssigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product VersionSVN HEAD 
Target Version0.3Fixed in Version0.3 
Summary0004824: bank stores floats in the database, when it should store value/fraction
Description... there is no reason for this mismatch!
TagsNo tags attached.

Activities

Marcello Stanisci

2017-03-21 14:57

manager   ~0011958

Last edited: 2017-03-22 23:02

View 3 revisions

Yeah, at this stage there might be no reason, but our bank is
supposed to be a "normal" bank, and normal banks usually don't store
amounts as Taler dictates.

As of commit 635ea32a we have the value/fraction pair stored in the db,
and also a way to deal with negative balances.

Basically, any bank account has a "flag" (the 'debit' field), that whenever
turns to be 'True' it indicates the user is in debt - and the balance indicates
how much debt he has.

Issue History

Date Modified Username Field Change
2016-11-29 05:23 Florian Dold New Issue
2016-11-29 05:23 Florian Dold Status new => assigned
2016-11-29 05:23 Florian Dold Assigned To => Florian Dold
2017-03-18 23:31 Christian Grothoff Assigned To Florian Dold => Marcello Stanisci
2017-03-18 23:31 Christian Grothoff Product Version => SVN HEAD
2017-03-18 23:31 Christian Grothoff Target Version => 0.3
2017-03-21 14:57 Marcello Stanisci Note Added: 0011958
2017-03-22 23:00 Marcello Stanisci Note Edited: 0011958 View Revisions
2017-03-22 23:02 Marcello Stanisci Note Edited: 0011958 View Revisions
2017-03-22 23:02 Marcello Stanisci Status assigned => resolved
2017-03-22 23:02 Marcello Stanisci Resolution open => fixed
2017-05-03 02:16 Christian Grothoff Fixed in Version => 0.3
2017-06-06 14:18 Christian Grothoff Status resolved => closed